#include <pybind11/pybind11.h>

extern "C" {
    #include <text_stats.h>
}

namespace py = pybind11; // This is purely for convenience

PYBIND11_MODULE(text_stats, m){
    m.doc() = "Some functions that provide statistical information about a text.";
    m.def("word_frequency", &word_frequency, R"doc(Counts the occurences of a string in a file.

Paramters
---------
filename: string
   name of file to open
word: string
    string to look for in file

Returns
-------
ct: int 
   number of occurences of word in file with filename 
)doc");
}
